[USRP-users] Building UHD Python API for RHEL 7.6

Michael Wentz mchlwntz at gmail.com
Tue Mar 5 11:04:52 EST 2019


Hi,

I've been trying to build UHD 3.13.1.0 with the Python API on a machine
running RHEL 7.6. Upon running cmake I see:

-- Configuring LibUHD - Python API support...
--   Dependency ENABLE_LIBUHD = ON
--   Dependency BOOST_PYTHON_FOUND = ON
--   Dependency HAVE_PYTHON_MODULE_NUMPY = TRUE
--   Dependency PythonLibs_FOUND =
--   Disabling LibUHD - Python API support.
--   Override with -DENABLE_PYTHON_API=ON/OFF

Notice PythonLibs_FOUND is just blank. Later on,

-- ######################################################
-- # UHD disabled components
-- ######################################################
--   * LibUHD - Python API

If I add -DENABLE_PYTHON_API=ON, the error message is:

-- Configuring LibUHD - Python API support...
--   Dependency ENABLE_LIBUHD = ON
--   Dependency BOOST_PYTHON_FOUND = ON
--   Dependency HAVE_PYTHON_MODULE_NUMPY = TRUE
--   Dependency PythonLibs_FOUND =
CMake Error at cmake/Modules/UHDComponent.cmake:56 (message):
  Dependencies for required component LibUHD - Python API not met.
Call Stack (most recent call first):
  CMakeLists.txt:434 (LIBUHD_REGISTER_COMPONENT)

I've tried providing cmake with the flags
-DPYTHON_LIBRARY=/usr/lib64/python2.7/config/libpython2.7.so and
-DPYTHON_INCLUDE_DIR=/usr/include/python2.7 but still no luck.
-DENABLE_PYTHON3 is also OFF (I don't have Python 3 installed).

My version of cmake is 2.8.12.2 and I have the python-devel package
installed. I See some bug reports with PythonLibs for older versions of
cmake but it seems like this should be working. This may be a cmake problem
but wondering if anyone else has encountered this or has any suggestions?

Thanks,
Michael
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.ettus.com/pipermail/usrp-users_lists.ettus.com/attachments/20190305/c0f76d7c/attachment.html>


More information about the USRP-users mailing list